/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: GoodsTypeEnum
 * @Package cn.freemud.enums
 * @Description:
 * @author: song.cai
 * @date: 2019/1/10 17:45
 * @version V1.0
 * @Copyright: 2019 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */

package cn.freemud.enums;

public enum GoodsTypeEnum {

    COMMON_GOODS(1, "正常商品"),
    COUPON_GOODS(2, "商品券"),
    SET_MEAL_GOODS(3, "套餐商品"),
    SKU_GOODS(4, "sku商品"),
    SPU_GOODS(5, "spu商品"),
    MATERIAL(88, "有加料的商品"),
    REDUCE_PRICE_GOODS(6, "加价购商品"),
    EXCEPTION_GOODS(99, "异常商品:商品菜单变化导致和购物车不商品匹配");
    private Integer goodsType;
    private String desc;

    GoodsTypeEnum(Integer goodsType, String desc) {
        this.goodsType = goodsType;
        this.desc = desc;
    }

    public Integer getGoodsType() {
        return goodsType;
    }

    public String getDesc() {
        return desc;
    }
}
